List DICT refunds
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/dict/refunds \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/dict/refunds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/dict/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/dict/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"amount": 1500,
"createdAt": "2026-06-14T12:00:00Z",
"endToEndId": "E12345678202607101200D3E4F5A6B7C",
"id": "550e8400-e29b-41d4-a716-446655440001",
"reason": "FRAUD",
"reportStatus": "SENT",
"requestedByISPB": "12345678",
"status": "OPEN",
"updatedAt": "2026-06-14T12:00:00Z",
"analysisDetails": "<string>",
"analysisResult": "TOTALLY_ACCEPTED",
"bacen": {
"correlationId": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"lastModified": "2026-06-14T12:00:00Z",
"responseTime": "2026-06-14T12:00:00Z"
},
"bacenCreationTime": "2026-06-14T12:00:00Z",
"contestedISPB": "87654321",
"effectiveRefundedAmount": 750,
"fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440003",
"infractionReportId": "550e8400-e29b-41d4-a716-446655440004",
"monitorAccount": true,
"originOperationId": "01930000-0000-7000-8000-000000000000",
"refundAccount": {
"accountNumber": "987654",
"accountType": "CACC",
"participant": "12345678",
"taxIdNumber": "12345678909",
"branch": "0001"
},
"refundDetails": "<string>",
"refundTransactionId": "E99999010202606141430ZYXWVUTSRQP",
"rejectionReason": "NO_BALANCE",
"requestingISPB": "12345678"
}
],
"limit": 123,
"offset": 123,
"requestId": "<string>"
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List DICT refunds
Returns paginated local DICT refund records.
GET
/
api
/
v1
/
dict
/
refunds
List DICT refunds
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/dict/refunds \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://spi.sandbox.lerian.net/api/v1/dict/refunds"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/dict/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://spi.sandbox.lerian.net/api/v1/dict/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"amount": 1500,
"createdAt": "2026-06-14T12:00:00Z",
"endToEndId": "E12345678202607101200D3E4F5A6B7C",
"id": "550e8400-e29b-41d4-a716-446655440001",
"reason": "FRAUD",
"reportStatus": "SENT",
"requestedByISPB": "12345678",
"status": "OPEN",
"updatedAt": "2026-06-14T12:00:00Z",
"analysisDetails": "<string>",
"analysisResult": "TOTALLY_ACCEPTED",
"bacen": {
"correlationId": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"lastModified": "2026-06-14T12:00:00Z",
"responseTime": "2026-06-14T12:00:00Z"
},
"bacenCreationTime": "2026-06-14T12:00:00Z",
"contestedISPB": "87654321",
"effectiveRefundedAmount": 750,
"fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440003",
"infractionReportId": "550e8400-e29b-41d4-a716-446655440004",
"monitorAccount": true,
"originOperationId": "01930000-0000-7000-8000-000000000000",
"refundAccount": {
"accountNumber": "987654",
"accountType": "CACC",
"participant": "12345678",
"taxIdNumber": "12345678909",
"branch": "0001"
},
"refundDetails": "<string>",
"refundTransactionId": "E99999010202606141430ZYXWVUTSRQP",
"rejectionReason": "NO_BALANCE",
"requestingISPB": "12345678"
}
],
"limit": 123,
"offset": 123,
"requestId": "<string>"
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de consulta
Page size (default 25, max 100)
Rango requerido:
1 <= x <= 100Page offset (default 0)
Rango requerido:
x >= 0Respuesta
OK
Local DICT refund request records for the requested limit/offset window.
Show child attributes
Show child attributes
Effective page size applied to this response.
Zero-based offset of the first item in this page.
Request-scoped identifier echoing X-Request-ID, for pivoting from response to trace. This is OUR OWN echo, distinct from any item's bacen.correlationId, which is BACEN's own value.
¿Esta página le ayudó?

